cURL
curl --request GET \
--url https://app.teable.ai/api/%7BbaseId%7D/ai/config \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'const url = 'https://app.teable.ai/api/%7BbaseId%7D/ai/config';
const options = {method: 'GET', headers: {Authorization: 'Bearer REPLACE_BEARER_TOKEN'}};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'GET',
hostname: 'app.teable.ai',
port: null,
path: '/api/%7BbaseId%7D/ai/config',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }
conn.request("GET", "/api/%7BbaseId%7D/ai/config", headers=headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
{
"llmProviders": [],
"embeddingModel": "<string>",
"translationModel": "<string>",
"gatewayModels": [
{
"id": "<string>",
"label": "<string>",
"enabled": true,
"capabilities": {
"image": true,
"pdf": true,
"webSearch": true,
"toolCall": true,
"reasoning": true,
"imageGeneration": true
},
"pricing": {
"input": "<string>",
"output": "<string>",
"inputCacheRead": "<string>",
"inputCacheWrite": "<string>",
"reasoning": "<string>",
"image": "<string>",
"webSearch": "<string>"
},
"rates": {
"inputRate": 1,
"outputRate": 1,
"cacheReadRate": 1,
"cacheWriteRate": 1,
"reasoningRate": 1,
"imageRate": 1,
"webSearchRate": 1
},
"isImageModel": true,
"defaultFor": [],
"testedAt": 123,
"tags": [],
"contextWindow": 123,
"maxTokens": 123,
"description": "<string>"
}
],
"capabilities": {
"disableActions": [
"<string>"
]
},
"aiGatewayApiKey": "<string>",
"aiGatewayBaseUrl": "<string>",
"attachmentTest": {
"urlMode": {
"success": true,
"errorMessage": "<string>"
},
"base64Mode": {
"success": true,
"errorMessage": "<string>"
},
"testedAt": "<string>",
"testedOrigin": "<string>"
},
"attachmentTransferMode": "url",
"aiGatewayApiKeys": [
"<string>"
],
"vertexByokCredential": {
"project": "<string>",
"location": "<string>",
"googleCredentials": {
"privateKey": "<string>",
"clientEmail": "<string>"
}
},
"concurrencyGroups": [
{
"id": "<string>",
"name": "<string>",
"taskTypes": [],
"keys": [],
"perKey": 5
}
],
"concurrencyPerKey": 50.5,
"modelDefinationMap": {},
"chatModel": {
"lg": "<string>",
"md": "<string>",
"sm": "<string>",
"ability": {
"image": true,
"pdf": true,
"webSearch": true,
"toolCall": true,
"reasoning": true,
"imageGeneration": true
},
"tags": []
}
}ai
Get aiconfig
Get the configuration of ai, including instance and space configuration
GET
/
{baseId}
/
ai
/
config
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Returns the configuration of ai.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
url, base64 Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
1 <= x <= 100Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on March 5, 2026
Was this page helpful?
⌘I

